function y=psi(x,rel_err)
% _____________________________________
%
% psi
% _____________________________________
% 
% For a given x>0 the function computes 
%
%   inf   1   
% y=sum ------
%   k=1 k(k+x)

% with the relative error not exceeding rel_err. 
% The argument rel_err is optional: if not given,
% the default value rel_err=1.e-10 is used:
if nargin<2 
	rel_err=1.e-10;
end
N=ceil(((1-x.^2)*(2-x)/(3.*rel_err))^(1/3));
S=0;
for i=1:N
    S=S+1/(i*(i+1)*(i+2)*(i+x));
end
y=1.25-x./4+(1-x).*(2-x)*S;